#ifndef XGFXPORTAL_H
#define XGFXPORTAL_H

#include "xasset.h"
#include "xdvpsplane.h"
#include "xgfxportalwritable.h"

#include <QVector>
#include <QVector3D>

class XGfxCell;

class XGfxPortal : public XAsset
{
public:
    XGfxPortal();
    ~XGfxPortal();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGfxPortalWritable mWritable;
    XDpvsPlane mPlane;

    XGfxCell *mCell;

    QVector3D mVertices;
    quint8 mVertexCount;

    QVector<QVector3D> mHullAxis;
};

#endif // XGFXPORTAL_H
